Last Comment Bug 861265 - Bug in SQLite breaks some queries from extensions
: Bug in SQLite breaks some queries from extensions
Status: RESOLVED FIXED
: addon-compat
Product: Toolkit
Classification: Components
Component: Storage (show other bugs)
: 20 Branch
: All All
: -- normal (vote)
: mozilla24
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
http://www.sqlite.org/src/info/2500cd...
Depends on: SQLite3.7.17
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-12 10:52 PDT by Perry Wagle
Modified: 2013-07-11 07:38 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Perry Wagle 2013-04-12 10:52:04 PDT
Some database queries from extensions are broken.  For example, tagsieve no longer lists bookmarks in its sidebar.  This is a bug in current versions of SQLite.  See the bug 

    http://www.sqlite.org/src/info/2500cdb9be

Need to watch for the above bug to be fixed, and upgrade the SQLite that firefox uses accordingly.

Also see:

    http://dev.grue.in/issues/131

for the gory details of the query that fails.
Comment 1 Perry Wagle 2013-05-03 13:03:33 PDT
Marked to be fixed in sqlite 3.7.17:

http://www.sqlite.org/draft/releaselog/3_7_17.html
Comment 2 Perry Wagle 2013-07-11 07:33:57 PDT
I think that all it needs is the new sqlite3 lib to be dropped in.
Comment 3 Marco Bonardo [::mak] 2013-07-11 07:38:32 PDT
we upgraded to 3.7.17 in FF24.

Note You need to log in before you can comment on or make changes to this bug.